## debian-installer 20160630

=== build/Makefile ===
#!/usr/bin/make -f
#
# Debian Installer system makefile.
# Copyright 2001-2003 by Joey Hess <joeyh@debian.org> and the d-i team.
# Licensed under the terms of the GPL.
#
# This makefile builds a debian-installer system and bootable images from 
# a collection of udebs which it downloads from a Debian archive. See
# README for details.
#
#
# General layout of our build directory hierarchy
#
# build/config/[<subarch>/][<medium>/][<flavour>/]<leaf-config>
# build/tmp/[<subarch>/][<medium>/][<flavour>/]<build-area>
# build/dest/[<subarch>/][<medium>/][<flavour>-]<images>
#
# Items in brackets can be left out if they are superfluous.
#
# These following <image> names are conventional.
#
# For small changeable media (floppies and the like):
# - boot.img, root.img, driver.img
#
# For single bootable images (e.g. tftp boot images):
# - boot.img
#
# For compressed single bootable images (harddisk or hd emulation):
# - boot.img.gz
#
# If those are not bootable:
# - root.img.gz
#
# Raw kernel images:
# - vmlinux or vmlinuz
#
# Example:
#
# dest/
# |-- cdrom-boot.img
# |-- floppy
# |   |-- access
# |   |   |-- boot.img
# |   |   |-- drivers.img
# |   |   `-- root.img
# |   |-- boot.img
# |   |-- cd-drivers.img
# |   |-- net-drivers.img
# |   `-- root.img
# |-- hd-media-boot.img.gz
# `-- netboot
#     |-- initrd.gz
#     `-- vmlinuz
#

# Temporary workaround for #823881:
export MTOOLS_SKIP_CHECK=1

# Add to PATH so dpkg will always work, and so local programs will be found.
PATH := util:$(PATH):/usr/sbin:/sbin
EATMYDATA = $(shell which eatmydata 2>/dev/null)
gzip = $(shell which pigz >/dev/null 2>&1 && echo "pigz -n -T" || echo "gzip -n")

# We don't want this to be run each time we re-enter.
ifndef DEB_HOST_ARCH
DEB_HOST_ARCH = $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_OS = $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_GNU_CPU = $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
DEB_HOST_GNU_SYSTEM = $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
DEB_HOST_MULTIARCH = $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_ARCH DEB_HOST_ARCH_OS DEB_HOST_GNU_CPU DEB_HOST_GNU_SYSTEM DEB_HOST_MULTIARCH
endif

define drop_lang
	@echo "Dropping languages: $(1)"
	@set -e; \
	for FILE in $$(find $(TREE)/var/lib/dpkg -name "*.templates"); do \
		perl -e 'my $$status=0; my $$drop=shift; while (<>) { if (/^[A-Z]/ || /^$$/) { if (/^(Choices|Description|Indices|Default)-($$drop)/ && ! /^Choices-C:/) { $$status = 0 } else { $$status = 1 } } print if ($$status); }' $(1) < $$FILE > temp; \
		mv temp $$FILE; \
	done
endef

# We loop over all needed combinations of ARCH, SUBARCH, MEDIUM, FLAVOUR
# via recursive make calls. ARCH is constant, we don't support
# crosscompiling.
ARCH = $(DEB_HOST_ARCH)

# By default, we just advertise what we can do.
.PHONY: all
all: list

# Globally useful variables.
targetstring = $(patsubst _%,%,$(if $(SUBARCH),_$(SUBARCH),)$(if $(MEDIUM),_$(MEDIUM),)$(if $(FLAVOUR),_$(FLAVOUR),))
targetdirs = $(subst _,/,$(targetstring))

# Overridden in config/hurd.cfg
define genext2fs
  genext2fs -d $(TREE) -b `expr $$(du -s $(TREE) | cut -f 1) + $$(expr $$(find $(TREE) | wc -l) \* 2)` -m 0
endef

# Configurations for the varying ARCH, SUBARCH, MEDIUM, FLAVOUR.
# For simplicity, we use a similiar tree layout for config/, tmp/
# and dest/.
#
# Cheap trick: if one of the variables isn't defined, we run in
# a non-existing file and ignore it.
include config/common
include config/dir
-include config/$(ARCH).cfg
-include config/$(ARCH)/$(SUBARCH).cfg
-include config/$(ARCH)/$(SUBARCH)/$(MEDIUM).cfg
-include config/$(ARCH)/$(SUBARCH)/$(MEDIUM)/$(FLAVOUR).cfg
-include config/local

export KEYRING
export KERNELVERSION
export LOCALUDEBDIR
export SOURCE_DATE_EPOCH

ifneq ($(shell id -u),0)
  ROOTCMD ?= fakeroot
endif

# Useful command sequences
define submake
  $(ROOTCMD) $(MAKE) --no-print-directory -j1
endef

define recurse_once
  @set -e; $(submake) $(1)_$(2)
endef

define recurse_many
  @set -e; $(foreach var,$($(1)_SUPPORTED) $(if $(RECURSE_EXTRA),$($(1)_SUPPORTED_EXTRA)),$(submake) $(2)_$(3) $(1)=$(var);)
endef

define recurse
  $(if $($(1)_SUPPORTED)$(if $(RECURSE_EXTRA),$($(1)_SUPPORTED_EXTRA)),$(call recurse_many,$(1),$(2),$(3)),$(call recurse_once,$(2),$(3)))
endef

define mkinitramfs
  (cd $(TREE) && find . | sort | cpio --quiet -o -H newc) > 
endef

# Limit on mfsroot size. It is determined by NKPT (in <machine/pmap.h).
# On amd64, it can be increased by increasing this variable.  On i386,
# this is a hard limit due to constraints of 4 GiB VM space.
ifeq ($(DEB_HOST_ARCH),kfreebsd-i386)
MFSROOT_LIMIT := 42m
else ifeq ($(DEB_HOST_ARCH),kfreebsd-amd64)
# See Bug#783773 for derivation.
MFSROOT_LIMIT := 72m
endif

define mkfs.ufs1
  sh -c 'makefs -t ffs -T $(SOURCE_DATE_EPOCH) -s $(MFSROOT_LIMIT) -f 3000 -o minfree=0,version=1 $$0 ${TREE}'
endef

define e2fsck
  e2fsck -fy
endef

# Define MKFS_JFFS2 in the config file for your target.
# For example: MKFS_JFFS2 = mkfs.jffs2 -f -p -b -e 0x20000
define mkjffs2
  $(MKFS_JFFS2) -d $(TREE) -o
endef

# A generic recursion rule
.PHONY: all_%
all_%:
	@install -d $(STAMPS)
	$(call recurse,SUBARCH,subarch,$*)

.PHONY: subarch_%
subarch_%:
	$(call recurse,MEDIUM,medium,$*)

.PHONY: medium_%
medium_%:
	$(call recurse,FLAVOUR,flavour,$*)

.PHONY: flavour_%
flavour_%:
	$(if $(targetstring),@$(submake) _$*)

# Validate a targetstring, echo env variables for valid ones
.PHONY: validate_%
validate_%:
	@set -e; \
	SUBARCH= var='$(subst _, ,$(subst validate_,,$@))'; \
	tmp=$$(echo $$var |sed 's/[ ].*$$//'); \
	[ -z '$(SUBARCH_SUPPORTED)$(SUBARCH_SUPPORTED_EXTRA)' ] || [ -z "$$tmp" ] || [ -z "$$(echo $(SUBARCH_SUPPORTED) $(SUBARCH_SUPPORTED_EXTRA) |grep -w $$tmp)" ] || SUBARCH=$$tmp; \
	$(submake) medium_validate SUBARCH=$$SUBARCH var="$$var"

.PHONY: medium_validate
medium_validate:
	@set -e; \
	MEDIUM= var="$(strip $(patsubst $(SUBARCH)%,%,$(var)))"; \
	tmp=$$(echo $$var |sed 's/[ ].*$$//'); \
	[ -z '$(MEDIUM_SUPPORTED)$(MEDIUM_SUPPORTED_EXTRA)' ] || [ -z "$$tmp" ] || [ -z "$$(echo $(MEDIUM_SUPPORTED) $(MEDIUM_SUPPORTED_EXTRA) |grep -w $$tmp)" ] || MEDIUM=$$tmp; \
	$(submake) flavour_validate MEDIUM=$$MEDIUM var="$$var"

.PHONY: flavour_validate
flavour_validate:
	@set -e; \
	FLAVOUR= var="$(strip $(patsubst $(MEDIUM)%,%,$(var)))"; \
	tmp=$$(echo $$var |sed 's/[ ].*$$//'); \
	[ -z '$(FLAVOUR_SUPPORTED)$(FLAVOUR_SUPPORTED_EXTRA)' ] || [ -z "$$tmp" ] || [ -z "$$(echo $(FLAVOUR_SUPPORTED) $(FLAVOUR_SUPPORTED_EXTRA) | grep -w $$tmp)" ] || FLAVOUR=$$tmp; \
	$(submake) finish_validate FLAVOUR=$$FLAVOUR var="$$var"

.PHONY: finish_validate
finish_validate:
	@set -e; \
	var="$(strip $(patsubst $(FLAVOUR)%,%,$(var)))"; \
	if [ -z "$$var" ]; then \
		echo SUBARCH=$$SUBARCH MEDIUM=$$MEDIUM FLAVOUR=$$FLAVOUR; \
	else \
		echo SUBARCH= MEDIUM= FLAVOUR=; \
	fi;


# List all targets useful for direct invocation.
.PHONY: list
list:
	@echo "Useful targets:"
	@echo
	@echo "list"
	@echo "all_build"
	@echo "all_rebuild"
	@echo "stats"
	@echo "all_clean"
	@echo "reallyclean"
	@echo
	@$(submake) all_list RECURSE_EXTRA=1

.PHONY: _list
_list:
	@set -e; \
	echo build_$(targetstring); \
	echo stats_$(targetstring); \
	$(if $(findstring $(MEDIUM),$(WRITE_MEDIA)),echo write_$(targetstring);) \
	echo clean_$(targetstring); \
	echo rebuild_$(targetstring); \
	echo demo_$(targetstring); \
	echo shell_$(targetstring); \
	echo uml_$(targetstring); \
	echo qemu_$(targetstring); \
	echo


# Clean all targets.
.PHONY: reallyclean
reallyclean: all_clean
	for png in $(shell awk -F= '/^SPLASH_PNG=/ {print $$2}' config/*.cfg); do if [ -f $${png%%.png}.svg ]; then rm -f $$png; fi; done
	rm -rf $(APTDIR) $(APTDIR).udeb $(APTDIR).deb $(BASE_DEST) $(BASE_TMP) $(SOURCEDIR) $(DEBUGUDEBDIR)
	rm -f sources.list sources.list.udeb $(LOCALUDEBDIR)/Packages.gz $(LOCALUDEBDIR)/Packages
	rm -rf $(UDEBDIR) $(STAMPS)

# For manual invocation, we provide a generic clean rule.
.PHONY: clean_%
clean_%:
	@$(submake) _clean $(shell $(submake) $(subst clean_,validate_,$@))
	update-manifest

# The general clean rule.
.PHONY: _clean
_clean: tree_umount
	@[ -n "$(SUBARCH) $(MEDIUM) $(FLAVOUR)" ] || { echo "invalid target"; false; }
	-rm -f $(STAMPS)tree-unpack-$(targetstring)-stamp $(STAMPS)tree-$(targetstring)-stamp $(STAMPS)extra-$(targetstring)-stamp $(STAMPS)get_udebs-$(targetstring)-stamp
	rm -f $(TEMP)/diskusage.txt
	rm -f $(TEMP)/all.utf
	rm -f $(TEMP)/unifont.bdf $(TREE)/lib/unifont.bgf
	rm -f pkg-lists/standard-udebs pkg-lists/kernel-module-udebs
	rm -rf $(TARGET)
	rm -rf $(TEMP)

# all_build is provided automagically, but for manual invocation
# we provide a generic build rule.
.PHONY: build_%
build_%:
	@install -d $(STAMPS)
	@$(submake) _build $(shell $(submake) $(subst build_,validate_,$@))

# The general build rule.
.PHONY: _build
_build:
	@[ -n "$(SUBARCH) $(MEDIUM) $(FLAVOUR)" ] || { echo "invalid target"; false; }
	@$(submake) tree_umount $(EXTRATARGETS) $(TARGET)

# Convenience rules to clean and build.
.PHONY: rebuild_%
rebuild_%:
	@$(submake) clean_$(subst rebuild_,,$@) build_$(subst rebuild_,,$@)

.PHONY: _rebuild
_rebuild:
	@$(submake) _clean _build

# Run before releasing built files.
release:
	egrep '^[[:space:]]' $(BASE_DEST)/MANIFEST.udebs | \
		sed 's/^[[:space:]]*//' | sort | uniq > $(BASE_DEST)/udeb.list
	rm -f $(BASE_DEST)/MD5SUMS $(BASE_DEST)/SHA256SUMS
	cd $(BASE_DEST) && md5sum `find -L . -type f | sort` > MD5SUMS # XXX remove this
	cd $(BASE_DEST) && sha256sum `find -L . -type f | sort` > SHA256SUMS

# The general tree target.
$(STAMPS)tree-unpack-$(targetstring)-stamp: $(STAMPS)get_udebs-$(targetstring)-stamp
	dh_testroot
	@[ -d ../debian ] || { echo "directory '../debian' not found; complete source of 'debian-installer' package is required"; false; }
	cd .. && dpkg-checkbuilddeps
	@rm -f $@

	# This build cannot be restarted, because dpkg gets confused.
	rm -rf $(TREE)
	# Set up the basic files [u]dpkg needs.
	mkdir -p $(DPKGDIR)/info
	touch $(DPKGDIR)/status
	# Create a tmp tree
	mkdir -p $(TREE)/tmp
	# Only dpkg needs this stuff, so it can be removed later.
	mkdir -p $(DPKGDIR)/updates/
	touch $(DPKGDIR)/available

ifdef TRANSSTATUS
	# Include translation status file; warn if older than 2 weeks.
	# Do this first to make possible warnings more visible.
	@echo; \
	if [ -f "$(TRANSSTATUS)" ]; then \
		if [ "$(USE_PROPOSED_UPDATES)" != 1 ]; then \
			olddate=$$(grep "^# Generated on:" $(TRANSSTATUS) | sed "s/.*: //"); \
			if [ "$$olddate" ]; then \
				if [ $$(( $$(date -u "+%s") - \
				          $$(date -d "$$olddate" "+%s") \
				       )) -gt 1209600 ]; then \
					echo "WARNING: The data in '$(TRANSSTATUS)' is older than 2 weeks."; \
					echo "         Should it maybe be updated?"; \
					sleep 15; \
				fi; \
			else \
				echo "WARNING: no timestamp found in $(TRANSSTATUS)."; \
				sleep 15; \
			fi; \
		fi; \
		mkdir -p $(TREE)/usr/share/localechooser; \
		cp $(TRANSSTATUS) $(TREE)/usr/share/localechooser/translation-status; \
	else \
		echo "WARNING: the file $(TRANSSTATUS) does not exist."; \
		sleep 5; \
	fi
endif

	# Unpack the udebs with dpkg. This command must run as root
	# or fakeroot.
	echo -n > $(TEMP)/diskusage.txt
	set -e; \
	oldsize=0; oldblocks=0; oldcount=0; for udeb in $(UDEBDIR)/*.udeb ; do \
		if [ -f "$$udeb" ]; then \
			pkg=`basename $$udeb` ; \
			$(EATMYDATA) dpkg $(DPKG_UNPACK_OPTIONS) --path-include='*' --log=/dev/null --root=$(TREE) --unpack $$udeb ; \
			newsize=`du -bs $(TREE) | awk '{print $$1}'` ; \
			newblocks=`du -s $(TREE) | awk '{print $$1}'` ; \
			newcount=`find $(TREE) -type f | wc -l | awk '{print $$1}'` ; \
			usedsize=`echo $$newsize - $$oldsize | bc`; \
			usedblocks=`echo $$newblocks - $$oldblocks | bc`; \
			usedcount=`echo $$newcount - $$oldcount | bc`; \
			version=`dpkg-deb --info $$udeb | awk '/ Version: / { print $$2 }' | sed 's/+b[0-9]*$$//g'` ; \
			source=`dpkg-deb --info $$udeb | awk '/ Source: / { print $$2 }'` ; \
			if [ -z "$$source" ]; then \

=== debian/changelog ===
debian-installer (20160630) unstable; urgency=medium

  [ Cyril Brulebois ]
  * Make version build-deps use -1~ version suffixes instead of -1 to
    make lintian happy (build-depends-on-1-revision tag)
  * Bump Linux kernel version from 4.5.0-2 to 4.6.0-1
  * Update translation-status for the release.

  [ Aurelien Jarno ]
  * Add mipsel octeon images.
  * Drop mipsel cobalt support.
  * Add mips64el support.
  * Drop mipsel/loongson-2e and mipsel/loongson-2f images.

  [ Samuel Thibault ]
  * Produce two beeps when booted with grub instead of one, so the user knows
    he has to use the grub way to edit entries.
  * Bump gnumach version to 1.7.

  [ Roger Shimizu ]
  * ARM: orion5x: Add a few Linkstation devices to netboot target.
    Those devices are still in network-console target.
  * ARM: orion5x: Change initrd to XZ compression for all orion5x-based
    Linkstation devices.

  [ Steven Chamberlain ]
  * Bump kfreebsd (kernel) version to 10.3.

  [ Martin Michlmayr ]
  * Use XZ compression for QNAP on Kirkwood due to size restrictions.
  * Mark fb-modules as required for armhf's netboot-gtk flavour.
  * Add u-boot config script for Seagate Personal Cloud and Seagate NAS.

 -- Cyril Brulebois <kibi@debian.org>  Thu, 30 Jun 2016 00:56:34 +0200

debian-installer (20160516) unstable; urgency=low

  [ Martin Michlmayr ]
  * Provide u-boot images for OpenRD.
  * Remove mipsel/bcm947xx config file.
  * Use gpgv1.4-udeb for orion5x network-console so the ramdisk fits
    in flash on QNAP TS-x09 devices.
  * Update QNAP TS-x09 kernel address to the new value used by
    flash-kernel (see #809476).
  * Bump Linux kernel version from 4.3.0-1 to 4.4.0-1
  * Use new marvell kernel flavour for orion5x and kirkwood
  * Include mtd-modules in kirkwood images.
  * Include mtd-modules in armhf netboot images.
  * Provide kernel and ramdisk for kirkwood netboot.
  * Fix syntax error in doc internals build script.  Thanks to
    Josh Gadeken (Closes: #817073)
  * Add kernel/initrd manifest information for armhf.
  * Generate image for Seagate Personal Cloud and Seagate NAS.

  [ Samuel Thibault ]
  * config/hurd.cfg: Set ROOTCMD to fakeroot-tcp.
  * hurd: Use exec.static instead of ld.so to start exec. This avoids libc
    version synchronization issues.

  [ Colin Watson ]
  * Use HTTPS for Vcs-* URLs, and link to cgit rather than gitweb.

  [ Roger Shimizu ]
  * ARM: orion5x: Fix typo in lspro-config-debian script
  * ARM: orion5x: add device tree support for armel/orion5x
  * ARM: add/update a few Buffalo Linkstation support on
    armel/orion5x
      - Linkstation LS-WTGL
      - Linkstation Mini (LS-WSGL)
      - Linkstation Pro/Live (LS-GL)
    armel/kirkwood
      - Linkstation LS-QVL
      - Linkstation LS-VL
      - Linkstation LS-WSXL
      - Linkstation LS-WVL
      - Linkstation LS-WXL
  * ARM: update kernel/initrd address for various Buffalo Linkstation
    to be consistent with flash-kernel
  * ARM: orion5x: share (symbolic link) the initrd for all Linkstation series
  * ARM: orion5x: unify model name of Linkstation with kirkwood based ones
  * ARM: orion5x: rename lspro-config-debian script to
    linkstation-config-debian
  * ARM: kirkwood: apply linkstation-config-debian script to all Linkstation
    devices

  [ Vagrant Cascadian ]
  * Add support for Firefly-RK3288.
  * Add u-boot-rockchip to the "built-using" package list.
  * Add support for BeagleBoard-X15.

  [ Karsten Merker ]
  * ARM: sunxi: Add support for the Olimex A20-SOM-EVB.

  [ Adam Conrad ]
  * Drop references to libnss-files-udeb and libnss-dns-udeb, they're now
    provided by libc-udeb, as of glibc 2.22-5.

  [ Aurelien Jarno ]
  * Stop excluding libc{0.1,0.3,6,6.1} as we now use mklibs-copy for the
    reduction pass. This avoids dropping libnss libraries and also avoids a
    useless download of this udeb during the installation.
  * Drop build-dependency on glibc-pic.
  * armhf: drop the compat ld.so symlink, all binaries in testing now use the
    correct one.

  [ Cyril Brulebois ]
  * Bump Linux kernel version from 4.4.0-1 to 4.5.0-2
  * efi-image: Make the mkfs.msdos call verbose; this might help track
    regressions or strange behaviours with new dosfstools upstream
    releases (See: #823881).
  * gen-hd-image: Make the mkfs.msdos call verbose.
  * x86.cfg: Make the mkfs.msdos call verbose.
  * build/Makefile: Export MTOOLS_SKIP_CHECK=1 before running mmd and
    mcopy commands to work around an apparent regression in dosfstools
    4.0-1 (See: #823881). Confirmed by Steve to produce an image that
    boots OK.
  * Update translation-status for the release.

  [ Steven Chamberlain ]
  * Handle error creating initramfs (Closes: #821249)
  * Increase kfreebsd-amd64 MFSROOT to 72 MiB to allow for larger udebs

  [ Steve McIntyre ]
  * Add sata-modules for arm64 - some machines do have SATA CD

 -- Cyril Brulebois <kibi@debian.org>  Mon, 16 May 2016 15:00:21 +0200

debian-installer (20160106) unstable; urgency=medium

  [ Samuel Thibault ]
  * Fix missing speech entry in netboot mini.iso:
    - build/util/syslinux-cfgs: Make the list-only behavior include spk.cfg file
    when IS_GTK is 1.
    - build/config/x86.cfg: Set IS_GTK when calling syslinux-cfgs to get the
    list.
  * config/hurd.cfg: Save a few megabytes on initrd to manage to boot with only
    128MiB, only to tell user-who-didn't-read-README to boot with more memory.

  [ Cyril Brulebois ]
  * Switch d-i.debian.org URIs from http to https.

  [ Martin Michlmayr ]
  * Provide u-boot images for plug computers.

  [ Steven Chamberlain ]
  * On kfreebsd, use the new makefs -T parameter to clamp mfsroot
    timestamps to a reproducible maximum value;  raise Build-Depends: on
    makefs to version (>= 20100306-5+kbsd8u1~).

 -- Cyril Brulebois <kibi@debian.org>  Wed, 06 Jan 2016 06:00:19 +0100

debian-installer (20160101) unstable; urgency=medium

  [ Karsten Merker ]
  * Provide u-boot and SD-card images for the LinkSprite pcDuino.



=== debian/control ===
Source: debian-installer
Section: devel
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Cyril Brulebois <kibi@debian.org>
Standards-Version: 3.9.5
Vcs-Git: https://anonscm.debian.org/git/d-i/debian-installer.git
Vcs-Browser: https://anonscm.debian.org/cgit/d-i/debian-installer.git
Build-Conflicts: libnewt-pic [mipsel]
Build-Depends:
# Base build dependencies:
	debhelper (>= 7.0.0),
#		Of course.
	apt (>= 0.8.16),
# 		Used for downloading udebs.
	apt-utils,
# 		apt-ftparchive is used for including localudebs.
	gnupg,
#		New versions of apt need gnupg for security checks.
	debian-archive-keyring (>= 2006.11.22),
#		To provide the archive key for security checks.
	dctrl-tools,
#		Various manipulations of the udeb Packages files.
	wget,
#		Used to test validity of mirrors.
	bc,
#		Used for some image size calculations.
	debiandoc-sgml,
#		partman's manual is in debiandoc.
	xsltproc,
	docbook-xml,
	docbook-xsl,
#		The d-i internals manual is in DocBook XML.
	libbogl-dev,
#		For bdftobogl used in font reduction.
#	
# Library build dependencies:
	libslang2-pic (>= 2.0.6-4),
#		Make dependency versioned temporarily to make sure we avoid #392942
	libnewt-pic (>= 0.52.2-11.3) [!mipsel],
#		Rather than use slang and newt udebs, reduced versions of
#		the libraries are put onto images to save space.
	libnewt-dev (>= 0.52.2-11.3) [mipsel],
#		On mipsel, we can't use libnewt-pic right now due to bug
#		#329733. See also Build-Conflicts above.
	libgcc1 [i386 amd64],
#		On x86 we need to include /lib/libgcc_s.so.1 in g-i initrds to
#		work around #373253 until upstream can remove pthread_cancel()
#		calls in directfb. For now, this is done by setting EXTRAFILES.
# 
# Filesystem tools:
	genext2fs (>= 1.3-7.1),
#		For creating ext2 filesystems without being root.
#		1.3-7.1 fixes issues on several arches.
	e2fsprogs,
#		genext2fs doesn't produce perfect filesystems, so we fsck
#		them.
#		Lintian: Yes, we know it's essential. We prefer not to
#		count on it remaining so.
	mklibs (>= 0.1.40), mklibs-copy (>= 0.1.40),
#		We use mklibs for library reduction.
	genisoimage [!s390 !s390x],
#		For making mini isos.
	genromfs [sparc sparc64],
#		Used for creating sparc floppies (which are not built by
#		default.)
	hfsutils [powerpc],
#		For making bootable HFS USB sticks for powerpc.
	dosfstools [i386 m68k amd64 armhf arm64],
#		For creating FAT filesystems with mkfs.msdos.
#		Of course i386/amd64 use this for floppies, CDs etc.
#		m68k uses it for atari floppies
#		armhf uses it for building bootable SD card images
	cpio,
#		For creating initramfs images.
	xz-utils,
#		For compressing initramfs images.
	devio [armeb armel],
#		Tool to read and write from block devices, used to byteswap
#		kernels and add nslu2 boot magic.
	slugimage (>= 0.10+r58-6) [armeb armel],
#		For building nslu2 firmware images.
	dns323-firmware-tools (>= 0.7.3-1~) [armel],
#		For building firmware images for the D-Link DNS-32(0|3).
	u-boot-tools [armel armhf],
#		For creating u-boot images
# 
# Boot loaders:
#	On many arches boot loaders are copied onto or ran on the boot
#	images in one way or another. There's a reason our mailing list is
#	still called debian-boot..
	syslinux [i386 amd64],
	syslinux-utils [i386 amd64],
	isolinux [i386 amd64],
	pxelinux [i386 amd64],
	syslinux-common (>= 3:6) [i386 amd64],
#		With isohybrid.
	yaboot [powerpc],
#		For all our powerpc boot needs. Well, not really.
	aboot (>= 0.9b-2) [alpha],
#		A previous version didn't have netabootwrap.
	silo [sparc sparc64],
#		Using silo is problematic since it needs to run as root,
#		so images that need it are not built by default, but we
#		include it for completeness.
	sparc-utils [sparc sparc64],
#		For elftoaout and piggyback, to make netboot images.
	atari-bootstrap [m68k],
#		Booting and other tools for Atari systems.
	vmelilo [m68k],
	m68k-vme-tftplilo [m68k],
#		For VME machines, although it doesn't yet support running
#		as non-root, the install will try to use it and fall back
#		to a warning when it fails.
	amiboot [m68k],
#		Bootloader for m68k/amiga machines.
	emile [m68k],
	emile-bootblocks [m68k],
#		Bootloader for m68k/mac machines.
	apex-nslu2 [armeb armel],
#		2nd stage bootloader for Linksys NSLU2.
	grub-efi-amd64-bin [amd64], grub-efi-arm64-bin [arm64], grub-efi-ia32-bin [i386],
	grub-common [amd64 arm64 i386], xorriso,
#		Used to make EFI bootable images
	grub-ieee1275-bin [ppc64el],
#		IEEE1275 bootloader support.
	u-boot-imx [armhf],
	u-boot-omap [armhf],
	u-boot-sunxi [armhf],
	u-boot-rockchip [armhf],
#		U-boot binaries for armhf systems without u-boot in flash memory
	u-boot (>= 2016.01+dfsg1-1~) [armel],
#		U-boot binaries for armel systems
# 
# Architecture specific build dependencies:
	tofrodos [i386 amd64 kfreebsd-i386 kfreebsd-amd64],
#		For todos, used on files that need to be accessible from
#		DOS.
	mtools [i386 m68k amd64 armhf arm64 kfreebsd-i386 kfreebsd-amd64 hurd-i386],
#		mcopy is used to put files onto FAT filesystems w/o
#		mounting them.
# 
	kmod [linux-any],
#		depmod.
# 
	bf-utf-source [!s390 !s390x],
#		Contains the unicode font we use. Not a udeb since we
#		perform font reduction at build time.
	mkvmlinuz [powerpc],
#		Used to make powerpc images that can boot direct from
#		firmware w/o using a boot loader.
	openssl,
#		Used to encrypt a firmware image so an ARM based device
#		(Thecus N2100) will accept it. Also useful on other
#		architectures if SSL_CERTS has been set locally.
	win32-loader (>= 0.7.2) [i386 amd64 kfreebsd-i386 kfreebsd-amd64 hurd-i386],
#		Alternative boot method for win32 platforms.
	makefs (>= 20100306-5+kbsd8u1~) [kfreebsd-any],
#		Used to create an UFS1 filesystem from a directory tree.
	grub-pc (>= 2.02~beta2~) [kfreebsd-i386 kfreebsd-amd64 hurd-i386],
#		Used as the CD-ROM's bootloader
	xorriso (>= 1.3.2-1~) [kfreebsd-i386 kfreebsd-amd64 hurd-i386],
#               Used by grub-pc to create the CD-ROM images
	debian-ports-archive-keyring [sh4 sparc64],
#		Used for architectures hosted on debian-ports.org
	librsvg2-bin [any-amd64 any-i386],
#		Used to convert splash SVG to splash PNG during build

Package: debian-installer
Architecture: any
Built-Using: ${initrd:Built-Using}, ${extra:Built-Using}
Depends: ${misc:Depends}
Description: Debian Installer documentation
 This package currently only contains some documentation for the Debian
 installer. We welcome suggestions about what else to put in it.

=== debian/rules ===
#! /usr/bin/make -f

ARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
VERSION=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
DATE=$(shell echo $(VERSION) | cut -d '.' -f 1)
SOURCE_DATE_EPOCH = $(shell date -d "$$(dpkg-parsechangelog -SDate)" +%s)
SUITE=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Distribution: | cut -d ' ' -f 2)
ifeq (${SUITE},UNRELEASED)
USE_UDEBS_FROM=unstable
TRANSSTATUS=
BOOTMENU_BEEP=n
else
USE_UDEBS_FROM=stretch
USE_PROPOSED_UPDATES=0
TRANSSTATUS=translation-status
BOOTMENU_BEEP=y
endif

ARCHIVEDIR=debian/tmp/installer-$(ARCH)
DESTDIR=$(ARCHIVEDIR)/$(DATE)
IMAGEDIR=$(DESTDIR)/images
TARNAME=debian-installer-images_$(VERSION)_$(ARCH).tar.gz

export SOURCE_DATE_EPOCH

clean:
	dh_testdir
	dh_testroot
	dh_clean
	$(MAKE) -C build reallyclean
	$(MAKE) -C doc/devel/partman clean
	$(MAKE) -C doc/devel/internals clean

# Must run as root, so is not run as part of regular build.
build-images:
	$(MAKE) -C build build_netboot stats release \
		USE_UDEBS_FROM=$(USE_UDEBS_FROM) BUILD_DATE=$(DATE) \
		USE_PROPOSED_UPDATES=$(USE_PROPOSED_UPDATES) \
		TRANSSTATUS=$(TRANSSTATUS) BOOTMENU_BEEP=$(BOOTMENU_BEEP)

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp:
	rm -f $@
	$(MAKE) -C doc/devel/internals
	$(MAKE) -C doc/devel/partman
	touch $@

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	debian/rules build-images

	install -d $(IMAGEDIR)
	cp -a build/dest/* $(IMAGEDIR)
	ln -s $(DATE) $(ARCHIVEDIR)/current

binary-arch: install  
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs doc/* -X Makefile -X build.sh -X .xsl \
		-X internals.xml -X partman-doc.sgml -X .gitignore
	dh_compress
	dh_fixperms

	./build/util/write-built-using

	dh_gencontrol
	dh_md5sums
	dh_builddeb
	./build/util/gen-tarball debian/tmp ../$(TARNAME)
	dpkg-distaddfile $(TARNAME) raw-installer -

binary-indep:

binary: binary-indep binary-arch 
.PHONY: build build-images clean binary-indep binary-arch binary install

## debian-installer 20161031

=== build/Makefile ===
--- 
+++ 
@@ -149,7 +149,7 @@
 MFSROOT_LIMIT := 42m
 else ifeq ($(DEB_HOST_ARCH),kfreebsd-amd64)
 # See Bug#783773 for derivation.
-MFSROOT_LIMIT := 72m
+MFSROOT_LIMIT := 74m
 endif
 
 define mkfs.ufs1
@@ -365,6 +365,6 @@
 			usedsize=`echo $$newsize - $$oldsize | bc`; \
 			usedblocks=`echo $$newblocks - $$oldblocks | bc`; \
 			usedcount=`echo $$newcount - $$oldcount | bc`; \
-			version=`dpkg-deb --info $$udeb | awk '/ Version: / { print $$2 }' | sed 's/+b[0-9]*$$//g'` ; \
-			source=`dpkg-deb --info $$udeb | awk '/ Source: / { print $$2 }'` ; \
+			version=`dpkg-deb --info $$udeb | sed -n 's/^ Version: //p' | sed 's/+b[0-9]*$$//g'` ; \
+			source=`dpkg-deb --info $$udeb | sed -n 's/^ Source: //p'` ; \
 			if [ -z "$$source" ]; then \

=== debian/changelog ===
debian-installer (20161031) unstable; urgency=medium

  [ Samuel Thibault ]
  * x86-image: Fix -p parameter value.

  [ Cyril Brulebois ]
  * Fix Built-Using generation: the Source field of a binary package can
    contain a version between parentheses. So let's use that if it's
    present, instead of picking the binary version in all cases. This
    should fix the REJECT from ftp-master due to unknown packages.
  * Since linux code comes from src:linux (instead of src:linux-signed),
    add a test on the latter to use linux and the package's version in
    this specific case. That won't account for a possible linux binNMU,
    but that should be enough for most cases. We might implement looking
    up Built-Using inside udebs, and get such a field added for
    kernel-image packages, to get the right linux source version.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 31 Oct 2016 17:07:06 +0100

debian-installer (20161027) unstable; urgency=medium

  [ Roger Shimizu ]
  * Add generic GNU/screen support, except gtk installer.
    So screen is started by default except running in gtk mode.

  [ Martin Michlmayr ]
  * Exclude dependency of screen-udeb on orion5x image.
  * Reduce size of orion5x image for QNAP to fit in flash:
    - Split orion5x into orion5x and orion5x-qnap.  This is based on
      work done by Roger Shimizu.
    - Exclude the text frontend.
  * HP mv2120: Move kernel load address higher (see #809611 for
    background).
  * Add firmware.none.img on armhf (hd-media and netboot) to allow the
    creation of generic SD cards.

  [ Adam Conrad ]
  * build/Makefile: Don't strip modules; this removes sigs (LP: #1604441)

  [ Aurelien Jarno ]
  * Install stretch instead of sid on mips64el now that it is
    debootstrappable.

  [ Samuel Thibault ]
  * Add gail and atk udebs for graphical accessibility.
  * x86-image: Pass -p parameter to grub-mkimage which now requires it.

  [ Steven Chamberlain ]
  * Increase kfreebsd-amd64 MFSROOT to 74 MiB to allow for the new udebs

  [ Vagrant Cascadian ]
  * Update u-boot targets for BeagleBoard-X15 and Firefly-RK3288 to use
    files without the -dtb suffix, which was obsoleted in u-boot 2016.09.
  * Add support for the orangepi_plus.

  [ Cyril Brulebois ]
  * Bump Linux kernel version from 4.6.0-1 to 4.7.0-1.
  * Update translation-status for the release.

  [ dann frazier ]
  * arm64: cdrom: Configure GRUB to load the gzio module, adding support
    for compressed kernels (LP: #1632473).

 -- Cyril Brulebois <kibi@debian.org>  Thu, 27 Oct 2016 22:09:07 +0200

## debian-installer 20170127

=== debian/changelog ===
debian-installer (20170127) unstable; urgency=medium

  [ Cyril Brulebois ]
  * Bump Linux kernel version from 4.8.0-2 to 4.9.0-1.
  * Update translation-status for the release.

  [ Martin Michlmayr ]
  * Drop armel/versatile flavour since kernel support was removed.

  [ Aurelien Jarno ]
  * Also copy *.so files in udeblibs (Closes: #851790).
  * mips*: install all NIC modules in the netbood initrd.

 -- Cyril Brulebois <kibi@debian.org>  Fri, 27 Jan 2017 23:23:37 +0100

debian-installer (20170112) unstable; urgency=medium

  [ Cyril Brulebois ]
  * Bump Linux kernel version from 4.7.0-1 to 4.8.0-1.
  * Add “set -e;” before while loops in a few arm* config files
    to make sure errors are reported (Closes: #843916).
  * Revert the following workaround after changes in grub2 2.02~beta3:
    config/kfreebsd.cfg: Put xorriso's -J flag after “--” to work around
    grub-mkrescue's change in option handling (See: #741656).
  * Exclude libssl1.1-udeb as well for qnap, wget will likely depend on
    it later on.
  * Update translation-status for the release.

  [ Adam Conrad ]
  * build/util/efi-image: Fix up FAT filesystem size calculation:
    - We appear to need 32k headroom, not 24k; this was masked
      by rounding errors and blind luck until grub grew 1.5kB.
    - Break out the magic headroom number into 32+31 to match
      the comment and make the arithmetic more obvious to read.
    - Round file sizes up, not down, so we don't break in future.

  [ Martin Michlmayr ]
  * Disable u-boot images for OpenRD because they've been removed
    (see #837629).
  * Exclude wpasupplicant-udeb on orion5x-qnap because it brings in
    libcrypto1.1-udeb.

  [ Aurélien COUDERC ]
  * Update theme to Soft Waves by Juliette Belin.

  [ Christian Perrier ]
  * Replace fonts-lklug-sinhala by fonts-noto-hinted-udeb for Sinhala.
    Closes: #837926

  [ Cyril Brulebois ]
  * Bump Linux kernel version from 4.8.0-1 to 4.8.0-2.

  [ Philipp Kern ]
  * Add https support to the installer. (Closes: #842040)

  [ Philip Hands ]
  * pkg-lists/gtk-common: ttf-dejavu-udeb is now called fonts-dejavu-udeb

  [ Samuel Thibault ]
  * Bump gnumach kernel version.

 -- Cyril Brulebois <kibi@debian.org>  Thu, 12 Jan 2017 11:08:53 +0100

=== debian/control ===
--- 
+++ 
@@ -125,9 +125,9 @@
 	grub-ieee1275-bin [ppc64el],
 #		IEEE1275 bootloader support.
 	u-boot-imx [armhf],
-	u-boot-omap [armhf],
+	u-boot-omap (>= 2016.09~rc1) [armhf],
 	u-boot-sunxi [armhf],
-	u-boot-rockchip [armhf],
+	u-boot-rockchip (>= 2016.09~rc1) [armhf],
 #		U-boot binaries for armhf systems without u-boot in flash memory
 	u-boot (>= 2016.01+dfsg1-1~) [armel],
 #		U-boot binaries for armel systems

=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,7 @@
 
 # Must run as root, so is not run as part of regular build.
 build-images:
-	$(MAKE) -C build build_netboot stats release \
+	$(MAKE) -C build all_build stats release \
 		USE_UDEBS_FROM=$(USE_UDEBS_FROM) BUILD_DATE=$(DATE) \
 		USE_PROPOSED_UPDATES=$(USE_PROPOSED_UPDATES) \
 		TRANSSTATUS=$(TRANSSTATUS) BOOTMENU_BEEP=$(BOOTMENU_BEEP)

## debian-installer 20170525

=== debian/changelog ===
debian-installer (20170525) unstable; urgency=medium

  [ Samuel Thibault ]
  * Fix showing the advanced speech entries.
  * Move the advanced speech entries into a submenu, so that text entries have
    shortcuts too, for people with a Braille device for instance.
  * Fix spurious 32bit speech entry on multiarch.
  * Rename IS_GTK to IS_PURE_GTK to make it clearer.
  * Add missing speech entries on a gtk-only cdrom image

  [ John Paul Adrian Glaubitz ]
  * m68k: Change configuration to use the common m68k kernel image.
  * m68k: Change KERNELMAJOR to 2.6.
  * m68k: Clean up formatting of all configuration files.

  [ Roger Shimizu ]
  * armel/orion5x: Use DTB instead of legacy devio device ID for
    Buffalo Linkstation LiveV3 (LS-CHL). DTB for this device is
    supported since debian kernel 4.9.10-1.

  [ Cyril Brulebois ]
  * Bump Linux kernel version from 4.9.0-2 to 4.9.0-3.
  * Update translation-status for the release.

  [ Martin Michlmayr ]
  * Re-enable u-boot images for OpenRD.

 -- Cyril Brulebois <kibi@debian.org>  Thu, 25 May 2017 12:21:30 +0200

debian-installer (20170407) unstable; urgency=medium

  [ Samuel Thibault ]
  * Update minimum disk size value
  * hurd-i386:
    - Add missing trailing / to EXTRANAME.
    - Fix path for mini-gtk case.
  * i386: Add missing IS_GTK variable definition, needed for speech synthesis
    menu item.
  * EFI grub menu: set advanced graphical items first, as in syslinux.
  * Add speech-enabled entries for expert, rescue, and automated install. Set
    the shortcuts on them.

  [ Cyril Brulebois ]
  * Add support for the unreleased suite, used by non-released ports to
    carry packages or changes which don't really belong to the Debian
    archive. Set USE_UNRELEASED=1 and USE_UDEBS_FROM=unstable when not
    building for a release architecture, based on a patch by James
    Clarke (Closes: #852215).
  * Add fb-modules to the following configurations, per YunQiang Su's
    request (Closes: #854553):
     - pkg-lists/netboot/mips64el/loongson-3.cfg
     - pkg-lists/netboot/mipsel/loongson-3.cfg
  * Bump Linux kernel version from 4.9.0-1 to 4.9.0-2.
  * Update translation-status for the release.

  [ James Clarke ]
  * Add missing build dependency on palo on hppa (Closes: #852260).

  [ Steven Chamberlain ]
  * Increase kfreebsd-amd64 MFSROOT to 78 MiB to make space for the new
    udebs that enabled HTTPS.

  [ Helge Deller ]
  * hppa: Add virtio modules to cdrom/netboot images

  [ Frederic Bonnard ]
  * powerpc: Add virtio modules to cdrom/netboot images (Closes: #767487)

  [ Mark Cave-Ayland ]
  * sparc64: Add virtio modules to cdrom image

  [ John Paul Adrian Glaubitz ]
  * powerpc: Remove useless kernel version check in builtin_initrd.
  * ppc64: Clone boot configuration files from powerpc.
  * ppc64: Add config support based on powerpc config.
  * ppc64: Clone cdrom pkg-lists from powerpc.
  * ppc64: Clone netboot pkg-lists from powerpc.
  * ppc64: Clone netboot-gtk pkg-lists from powerpc.
  * ppc64: Add yaboot to Build-Depends.
  * ppc64: Add mkvmlinuz to Build-Depends.
  * sparc64: Run elftoaout and piggyback when creating netboot images.

 -- Cyril Brulebois <kibi@debian.org>  Fri, 07 Apr 2017 21:08:13 +0200

## debian-installer 20170608

=== debian/changelog ===
debian-installer (20170608) unstable; urgency=medium

  [ Cyril Brulebois ]
  * Add “set -e” statement to build/util/gen-hd-image so as to catch any
    issues. In particular, the “Disk full” emitted for some images like
    A10-OLinuXino-Lime (See: #864260).
  * Adapt clean_tempfiles accordingly, since the previous compound
    statements would fail under “set -e” with an undefined/empty variable.

  [ Karsten Merker ]
  * armhf: Increase the armhf SD card image sizes due to an
    increased d-i binary size. (Closes: #864260).

 -- Cyril Brulebois <kibi@debian.org>  Thu, 08 Jun 2017 12:56:57 +0000

## debian-installer 20170615

=== debian/changelog ===
debian-installer (20170615) unstable; urgency=medium

  [ Karsten Merker ]
  * Include the i2c-modules udeb in the armhf netboot and hd-media builds.
    (Closes: #864536, #864457, #856111)

 -- Cyril Brulebois <kibi@debian.org>  Thu, 15 Jun 2017 10:34:17 +0200

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,8 @@
 DATE=$(shell echo $(VERSION) | cut -d '.' -f 1)
 SOURCE_DATE_EPOCH = $(shell date -d "$$(dpkg-parsechangelog -SDate)" +%s)
 SUITE=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Distribution: | cut -d ' ' -f 2)
+
+# Daily builds vs. uploads to unstable:
 ifeq (${SUITE},UNRELEASED)
 USE_UDEBS_FROM=unstable
 TRANSSTATUS=
@@ -14,6 +16,13 @@
 USE_PROPOSED_UPDATES=0
 TRANSSTATUS=translation-status
 BOOTMENU_BEEP=y
+endif
+
+# Adjust for non-released ports if needed:
+RELEASE_ARCHES=amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x
+ifeq (,$(filter $(ARCH), $(RELEASE_ARCHES)))
+USE_UNRELEASED=1
+USE_UDEBS_FROM=unstable
 endif
 
 ARCHIVEDIR=debian/tmp/installer-$(ARCH)
@@ -36,6 +45,7 @@
 	$(MAKE) -C build all_build stats release \
 		USE_UDEBS_FROM=$(USE_UDEBS_FROM) BUILD_DATE=$(DATE) \
 		USE_PROPOSED_UPDATES=$(USE_PROPOSED_UPDATES) \
+		USE_UNRELEASED=$(USE_UNRELEASED) \
 		TRANSSTATUS=$(TRANSSTATUS) BOOTMENU_BEEP=$(BOOTMENU_BEEP)
 
 build: build-arch build-indep

## debian-installer 20170615%2bdeb9u1

=== debian/changelog ===
debian-installer (20170615+deb9u1) stretch; urgency=medium

  * Enable proposed-updates for the stretch stable branch.

 -- Cyril Brulebois <kibi@debian.org>  Wed, 19 Jul 2017 20:10:27 +0200

## debian-installer 20170615%2bdeb9u5

=== debian/changelog ===
debian-installer (20170615+deb9u5) stretch; urgency=medium

  * Bump Linux kernel version from 4.9.0-7 to 4.9.0-8.

 -- Cyril Brulebois <kibi@debian.org>  Wed, 07 Nov 2018 11:10:40 +0000

debian-installer (20170615+deb9u4) stretch; urgency=medium

  * Bump Linux kernel version from 4.9.0-6 to 4.9.0-7.

 -- Cyril Brulebois <kibi@debian.org>  Wed, 11 Jul 2018 05:19:58 +0200

debian-installer (20170615+deb9u3) stretch; urgency=medium

  * Bump Linux kernel version from 4.9.0-4 to 4.9.0-6.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 04 Mar 2018 20:38:06 +0100

debian-installer (20170615+deb9u2) stretch; urgency=medium

  * Bump Linux kernel version from 4.9.0-3 to 4.9.0-4. This is unusual,
    but the linux kernel ABI got bumped in stable.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 01 Oct 2017 01:38:44 +0200

## debian-installer 20170615+deb9u6

=== debian/changelog ===
debian-installer (20170615+deb9u6) stretch; urgency=medium

  * Bump Linux kernel version from 4.9.0-8 to 4.9.0-9.

 -- Cyril Brulebois <kibi@debian.org>  Wed, 24 Apr 2019 03:32:37 +0200

## debian-installer 20170615+deb9u7

=== debian/changelog ===
debian-installer (20170615+deb9u7) stretch; urgency=medium

  [ Samuel Thibault ]
  * Keep grub resolution in EFI boot, to avoid tiny fonts (closes: #910227).

  [ Julien Cristau ]
  * Bump linux ABI to 4.9.0-11.

 -- Julien Cristau <jcristau@debian.org>  Thu, 05 Sep 2019 10:49:24 +0200

## debian-installer 20170615+deb9u8

=== debian/changelog ===
debian-installer (20170615+deb9u8) stretch; urgency=medium

  [ Samuel Thibault ]
  * build/util/grub-gencfg: Set gfxpayload=keep in submenus too, to fix
    unreadable fonts on hidpi displays in netboot images booted with EFI.
    (See: #935546)

  [ Cyril Brulebois ]
  * Bump linux ABI to 4.9.0-12.
  * Update USE_UDEBS_FROM default from unstable to stretch; debian/rules
    uses heuristics to set the right value anyway, but that should help
    users perform local builds without having to know about those
    heuristics. Thanks to Carsten Schoenert for the report.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 02 Feb 2020 18:02:06 +0100

## debian-installer 20170615+deb9u9

=== build/Makefile ===
--- 
+++ 
@@ -149,7 +149,7 @@
 MFSROOT_LIMIT := 42m
 else ifeq ($(DEB_HOST_ARCH),kfreebsd-amd64)
 # See Bug#783773 for derivation.
-MFSROOT_LIMIT := 74m
+MFSROOT_LIMIT := 78m
 endif
 
 define mkfs.ufs1

=== debian/changelog ===
debian-installer (20170615+deb9u9) stretch; urgency=medium

  * Bump linux ABI to 4.9.0-13.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 12 Jul 2020 19:49:39 +0200

=== debian/control ===
--- 
+++ 
@@ -95,10 +95,12 @@
 	pxelinux [i386 amd64],
 	syslinux-common (>= 3:6) [i386 amd64],
 #		With isohybrid.
-	yaboot [powerpc],
+	yaboot [powerpc ppc64],
 #		For all our powerpc boot needs. Well, not really.
 	aboot (>= 0.9b-2) [alpha],
 #		A previous version didn't have netabootwrap.
+	palo [hppa],
+#		Bootloader for hppa machines, to make netboot images.
 	silo [sparc sparc64],
 #		Using silo is problematic since it needs to run as root,
 #		so images that need it are not built by default, but we
@@ -146,7 +148,7 @@
 	bf-utf-source [!s390 !s390x],
 #		Contains the unicode font we use. Not a udeb since we
 #		perform font reduction at build time.
-	mkvmlinuz [powerpc],
+	mkvmlinuz [powerpc ppc64],
 #		Used to make powerpc images that can boot direct from
 #		firmware w/o using a boot loader.
 	openssl,

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 BOOTMENU_BEEP=n
 else
 USE_UDEBS_FROM=stretch
-USE_PROPOSED_UPDATES=0
+USE_PROPOSED_UPDATES=1
 TRANSSTATUS=translation-status
 BOOTMENU_BEEP=y
 endif

## debian-installer 20171204

=== debian/changelog ===
debian-installer (20171204) unstable; urgency=medium

  [ John Paul Adrian Glaubitz ]
  * m68k: Add pata-modules to cdrom package list.
  * m68k: Add ide-core-modules and ide-modules to cdrom package list.
  * m68k: Use uncompressed kernel image by default.

  [ Cyril Brulebois ]
  * Bump Linux kernel ABI from 4.12.0-1 to 4.12.0-2.
  * Add support for SNAPSHOT_TS to use a specific timestamp of the Debian
    archive on snapshot.debian.org instead of the detected mirror; disable
    Valid-Until check when this is requested, since signatures are likely
    expired. Most useful for bisecting when a specific regression was
    introduced. (See: #872598)
  * Update translation-status for the release.

  [ Karsten Merker ]
  * Bump Linux kernel ABI from 4.12.0-2 to 4.13.0-1

  [ Raphaël Hertzog ]
  * Update the hd-media image to include udebs required to detect
    LVM logical volumes too (so that we can find the ISO in logical
    volumes too). Closes: #868852

 -- Cyril Brulebois <kibi@debian.org>  Mon, 04 Dec 2017 08:25:55 +0100

debian-installer (20170828) unstable; urgency=medium

  [ Cyril Brulebois ]
  * Bump Linux kernel ABI from 4.9.0-3 to 4.11.0-2.
  * Update translation-status for the release.
  * Adjust fontconfig's hinting and freetype's interpreter version to keep
    the original rendering in the graphical installer for the time being
    (See: #873462).
  * Update build/config/common and debian/rules to perform release builds
    against buster now that stretch has been released.

  [ Martin Michlmayr ]
  * Drop orion5x-qnap image.
  * Remove NSLU2 related build dependencies.

  [ Vagrant Cascadian ]
  * [armhf] Fix build of Firefly-RK3288 images with recent u-boot
    versions. (Closes: #870615)

  [ Aurelien Jarno ]
  * debian/control: do not build-depends on -pic libraries, that is not
    needed anymore since the switch to mklibs-copy.

  [ Karsten Merker ]
  * Add a build-dependency on "fdisk | util-linux (<< 2.29.2-3~)" for armhf.
    util/gen-hd-image uses sfdisk when creating SD card images for
    armhf systems, and starting with util-linux 2.29.2-3 it is split out
    from util-linux into a separate, non-essential "fdisk" package:
    https://lists.debian.org/debian-devel-announce/2017/08/msg00005.html
    (Closes: #872091)
  * Bump the Linux kernel ABI from 4.11.0-2 to 4.12.0-1.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 28 Aug 2017 03:02:44 +0000
